<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetVaultNameFromPath Method (IEdmVault5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault5 Interface : GetVaultNameFromPath Method (IEdmVault5)

Visual Basic
C#
C++/CLI

bsPath
  Full system path to a file or folder

Gets the name of the vault where the specified file or folder resides.

# Syntax

Visual Basic |
--- | ---

    Function GetVaultNameFromPath( _
       ByVal bsPath As System.String _
    ) As System.String

C# |
--- | ---

    System.string GetVaultNameFromPath(
       System.string bsPath
    )

C++/CLI |
--- | ---

    System.String^ GetVaultNameFromPath(
    &   System.String^ bsPath
    )

#### Parameters

bsPath
  Full system path to a file or folder

#### Return Value

Vault name

# Example

Check Out and Copy File (VB.NET)
Check Out and Copy File (C#)

# Remarks

You do not need to call IEdmVault5::Login or IEdmVault5::LoginAuto before calling this method.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_KEY_NOT_FOUND: The specified path is not in any vault.

# See Also

####

IEdmVault5 Interface
IEdmVault5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2